%global prerelease a3
Name:           tiny-dnn
Version:        1.0.0
Release:        0.%{prerelease}.2%{?dist}
Summary:        Header only, dependency-free deep learning framework in C++14

License:        BSD
URL:            https://github.com/tiny-dnn/tiny-dnn/
Source0:        https://github.com/tiny-dnn/tiny-dnn/archive/v%{version}%{prerelease}/%{name}-%{version}%{prerelease}.tar.gz
# Patch to optionally use system-wide installation of gtest/gmock.
# Upstream PR: https://github.com/tiny-dnn/tiny-dnn/pull/968/
Patch0:         %{name}.distro-gmock.patch
# Do not overwrite cflags.
# Will not be merged upstream, only makes sense downstream
Patch1:         %{name}.compile-flags.patch

BuildArch:      noarch
BuildRequires:  /usr/bin/ctest
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel
BuildRequires:  pkgconfig(tbb)
BuildRequires:  protobuf-devel
BuildRequires:  protobuf-compiler

%description
tiny-dnn is a C++14 implementation of deep learning. It is suitable for deep
learning on limited computational resource, embedded systems and IoT devices.


%package        devel
Summary:        Development files for %{name}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}%{prerelease}


%build
%cmake . -DBUILD_TESTS=ON -DUSE_SYS_GTEST=ON


%install
%make_install


%check
ctest -V %{?_smp_mflags}

%files
%license LICENSE
%doc README.md

%files devel
%license LICENSE
%doc README.md
%{_includedir}/tiny_dnn
%{_datadir}/TinyDNN


%changelog
* Mon Jun 25 2018 Till Hofmann <thofmann@fedoraproject.org> - 1.0.0-0.a3.2
- Update patches for F28+

* Sun Jun 24 2018 Till Hofmann <thofmann@fedoraproject.org> - 1.0.0-0.a3.1
- Initial package
